Name:          hawtbuf
Version:       1.11
Release:       %mkrel 6
Group:         Development/Java
Summary:       A rich byte buffer library
License:       ASL 2.0
URL:           https://github.com/fusesource/hawtbuf/
Source0:       https://github.com/fusesource/hawtbuf/archive/%{name}-project-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)

BuildArch:     noarch

%description
This library implements a simple interface with working with
byte arrays. It is a shame that the Java SDK did not come with
a built in class that was just simply a byte[], int offset,
int length class which provided a rich interface similar to
what the String class does for char arrays. This library
fills in that void by providing a Buffer class which does provide
that rich interface.

%package proto
Summary:       A protobuf library

%description proto
HawtBuf Proto: A protobuf library.

%package protoc
Summary:       A protobuf compiler as a maven plugin

%description protoc
HawtBuf Protoc: A protobuf compiler as a maven plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

%pom_remove_plugin :maven-assembly-plugin

%pom_xpath_set "pom:properties/pom:log4j-version" 1.2.17
%pom_xpath_remove pom:Private-Package

%mvn_package ":%{name}-project" %{name}

%build

%mvn_build -s -X

%install
%mvn_install

%files -f .mfiles-%{name}
%doc readme.md
%license license.txt notice.md

%files proto -f .mfiles-%{name}-proto
%doc %{name}-proto/readme.md
%license license.txt notice.md

%files protoc -f .mfiles-%{name}-protoc
%doc %{name}-protoc/readme.md
%license license.txt notice.md

%files javadoc -f .mfiles-javadoc
%license license.txt notice.md



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.11-6.mga6
+ Revision: 982236
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.11-5.mga6
+ Revision: 976380
- First rebuild of the java stack
- sync package hawtbuf with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.9-10.mga5
+ Revision: 805532
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.9-9.mga5
+ Revision: 749796
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.9-7.mga4
+ Revision: 534576
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 dmorgan <dmorgan> 1.9-6.mga4
+ Revision: 478465
- added maven-shared as BR

* Thu Sep 12 2013 dmorgan <dmorgan> 1.9-5.mga4
+ Revision: 478197
- Disable integration tests
- Change maven BR into maven-local

* Sat Jan 12 2013 umeabot <umeabot> 1.9-3.mga3
+ Revision: 353117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.9-2.mga3
+ Revision: 293352
- imported package hawtbuf


* Wed Sep 05 2012 gil cattaneo <puntogil@libero.it> 1.9-2
- removed hawtbuf-tests.jar
- performed integration test

* Tue May 22 2012 gil cattaneo <puntogil@libero.it> 1.9-1
- initial rpm
